<div class="container">
    <mat-toolbar>
        <span>SISTEMA DE BIBLIOTECA-</span><div style="font-size: 15px">CREAR LIBROS</div> 
        <div class="example-spacer"></div>
    </mat-toolbar>
    <mat-card>
        <mat-card-content>
            <form [formGroup]="form" (ngSubmit)="agregarlibros()">
                <mat-grid-list cols="4" rowHeight="70px">
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Libro</mat-label>
                            <input  matInput formControlName="libro">
                          </mat-form-field>
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="3" [rowspan]="5">
                        <img src="../../../assets/Iconos/libros.png" width="250" height="250">
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Escritor</mat-label>
                            <input matInput formControlName="escritor">
                          </mat-form-field>
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field appearance="fill">
                            <mat-label>Tipo de categoria</mat-label>
                            <mat-select formControlName="categoria">
                              <mat-option *ngFor="let item of categoria" [value]="item">
                                {{item}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                    </mat-grid-tile>
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <input class="estilo" type="date"  placeholder="Año que se realizo" formControlName="ano">
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                            <input class="estilo" type="file" formControlName="pdf">
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <button mat-raised-button style="margin-right: 20px;">Volver</button>
                        <button type="submit" [disabled]="form.invalid" mat-raised-button color="primary">Aceptar</button>
                    </mat-grid-tile>   
                </mat-grid-list>
                <br>
                <br>
            </form>
        </mat-card-content>
    </mat-card>
    
</div>